#include <EEPROM.h>
#include "ConfigEEProm.h"

void configEEProm::read(void)
{
	for (register byte t = 0 ; t < maxConfigEEPromByte ; ++t)
		data[t] =  EEPROM.read(offsetInEEPromConfig + t);
}

void configEEProm::update(void)
{
	for (byte i = 0 ; i < maxConfigEEPromByte ; ++i)
	{
		byte t = EEPROM.read(offsetInEEPromConfig + i);
		if (t != data[i]) EEPROM.write(offsetInEEPromConfig + i,data[i]);
	}
}

void configEEProm::isUpdateTime(void)
{
	if (!st.isTimedout()) return;
	update();
	st.start(timeOutToWriteEEPROMData );
}

